
Name: app-nat-firewall
Epoch: 1
Version: 1.6.8
Release: 1%{dist}
Summary: 1-to-1 NAT
License: GPLv3
Group: ClearOS/Apps
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base
Requires: app-network

%description
1-to-1 NAT maps a public IP address to a private IP address allowing access to systems behind the firewall via a public IP address.

%package core
Summary: 1-to-1 NAT - Core
License: LGPLv3
Group: ClearOS/Libraries
Requires: app-base-core
Requires: app-firewall >= 1:1.5.19
Requires: app-network-core

%description core
1-to-1 NAT maps a public IP address to a private IP address allowing access to systems behind the firewall via a public IP address.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/nat_firewall
cp -r * %{buildroot}/usr/clearos/apps/nat_firewall/


%post
logger -p local6.notice -t installer 'app-nat-firewall - installing'

%post core
logger -p local6.notice -t installer 'app-nat-firewall-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/nat_firewall/deploy/install ] && /usr/clearos/apps/nat_firewall/deploy/install
fi

[ -x /usr/clearos/apps/nat_firewall/deploy/upgrade ] && /usr/clearos/apps/nat_firewall/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-nat-firewall - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-nat-firewall-core - uninstalling'
    [ -x /usr/clearos/apps/nat_firewall/deploy/uninstall ] && /usr/clearos/apps/nat_firewall/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/nat_firewall/controllers
/usr/clearos/apps/nat_firewall/htdocs
/usr/clearos/apps/nat_firewall/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/nat_firewall/packaging
%dir /usr/clearos/apps/nat_firewall
/usr/clearos/apps/nat_firewall/deploy
/usr/clearos/apps/nat_firewall/language
/usr/clearos/apps/nat_firewall/libraries
